> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/inventory-manager/find-resources-by-tags/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Find inventories and nodes by tags POST https://example.itential.io/inventory_manager/v1/tags/search Content-Type: application/json Returns inventories and nodes that have the specified tags. Reference: https://docs.itential.com/itential-cloud/api-reference/inventory-manager/find-resources-by-tags ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `tagIdentifiers` (list of string, optional) - `options` (object, optional) - `resourceType` (enum, optional, default: both) - Allowed values: `inventories`, `nodes`, `both` - `matchType` (enum, optional, default: any) - Allowed values: `any`, `all` - `limit` (double, optional, default: 100) ## Response ### 200 Resources grouped by type - `status` (string, optional) - `result` (object, optional) - `inventories` (list of object, optional) - `name` (string, required) — The name of the inventory - `version` (string, optional) - `groups` (list of string, optional) - `description` (string, optional) - `actions` (list of object, optional) - `name` (string, required) - `action_type` (string, required) - `action_config` (object, optional) - `action_parameters` (object, optional) - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `tags` (list of string, optional) — Array of tag IDs associated with this inventory - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `nodes` (list of object, optional) - `inventory_id` (string, required) - `name` (string, required) - `version` (string, optional) - `attributes` (object, optional) - `tags` (list of string, optional) — Array of tag IDs associated with this node - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `summary` (object, optional) - `inventoriesFound` (double, optional) - `nodesFound` (double, optional) - `totalFound` (double, optional) - `error` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "Success", "result": { "inventories": [ { "name": "string", "version": "2024-01-15T09:30:00Z", "groups": [ "string" ], "description": "string", "actions": [ { "name": "string", "action_type": "string", "action_config": {}, "action_parameters": {}, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "tags": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "nodes": [ { "inventory_id": "string", "name": "string", "version": "2024-01-15T09:30:00Z", "attributes": {}, "tags": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "summary": { "inventoriesFound": 1.1, "nodesFound": 1.1, "totalFound": 1.1 } }, "error": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/inventory_manager/v1/tags/search" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/inventory_manager/v1/tags/search'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/inventory_manager/v1/tags/search" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/inventory_manager/v1/tags/search") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/inventory_manager/v1/tags/search") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/inventory_manager/v1/tags/search', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/inventory_manager/v1/tags/search"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/tags/search")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```